Skip to main content
PATCH
/
cash
/
{id}
Update a cash transfer
curl --request PATCH \
  --url https://api-sandbox.synctera.com/v0/cash/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
  "source_data": {},
  "status": "CANCELLED"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/cash/{id}"

payload = {
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"source_data": {},
"status": "CANCELLED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination_account_id: 'fccb4a46-1261-4e91-b622-73b5b946183d',
source_data: {},
status: 'CANCELLED'
})
};

fetch('https://api-sandbox.synctera.com/v0/cash/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amount": 10000,
  "dc_sign": "DEBIT",
  "effective_date": "2022-03-18",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_same_day": true,
  "reference_id": 123456789,
  "status": "POSTED",
  "subtype": "CASH_ORDER",
  "tenant_id": "abcdef_ghijkl",
  "source_data": {},
  "client_bank_account": 123456789,
  "client_name": "Fintech A",
  "customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
  "destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
  "destination_account_number": 1344012344,
  "destination_account_owner_name": "<string>",
  "failed": false,
  "history": [
    {
      "data": {},
      "message": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "network_status": "POSTED",
  "original_reference_id": 123456788,
  "originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "originating_account_number": 1961234745,
  "originating_account_owner_name": "<string>",
  "posting_date": "2022-03-18",
  "suspended": false,
  "transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

id
string<uuid>
required

Cashier Transfer ID

Body

application/json

Properties of the Cashier transfer to update.

Properties for updating a transfer

destination_account_id
string<uuid>

The UUID of the Synctera account resource that is the destination of the transfer for incoming transfers. This can only be updated if the transfer is suspended.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

source_data
object

Additional information to be added to the transfer

status
enum<string>
Available options:
CANCELLED

Response

The updated Cashier transfer.

Cash transfer

amount
integer<int64>
required

Transfer amount in cents

Required range: x >= 1
Example:

10000

dc_sign
enum<string>
required

Debit or credit sign

Available options:
CREDIT,
DEBIT
Example:

"DEBIT"

effective_date
string<date>
required

The effective date of the transaction once it gets posted

Example:

"2022-03-18"

id
string<uuid>
required

ID of the transfer

is_same_day
boolean
required

Send the same day (use only is_same_day without specific effective_date).

Example:

true

reference_id
string
required

The reference id of the transfer.

Example:

123456789

status
enum<string>
required

The status of the transfer in the Synctera platform. This is automatically set upon the creation of a transfer. To cancel a transfer, the current status must be 'INITIATED' or 'PENDING' and the request status set to 'CANCELLED'. To trigger a return, the current status must be 'POSTED' and the returned status will be set to 'RETURNED' if successful.

Available options:
CANCELLED,
EXPIRED,
INITIATED,
PENDING,
POSTED
Example:

"POSTED"

subtype
enum<string>
required

The subtype of the transfer

Available options:
CASH_ORDER,
CASH_ORDER_REVERSAL,
DEPOSIT,
DEPOSIT_REVERSAL
Example:

"CASH_ORDER"

tenant_id
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

source_data
object

Additional information to be added to the transfer

client_bank_account
string

The bank account of the client.

Example:

123456789

client_name
string

The name of the client.

Example:

"Fintech A"

customer_id
string

The UUID of the Synctera customer resource that is the originator of the transfer.

Example:

"46fec39e-e776-4571-bf90-d0e1d15172fe"

destination_account_id
string

The UUID of the Synctera account that is the destination of the transfer. For a transfer originated by the Synctera platform, this will be an external account resource, while for a transfer originated by the external account, this account will be an account resource.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

destination_account_number
string<string>

The account number of the destination account.

Example:

1344012344

destination_account_owner_name
string

The account owner name of the destination account.

failed
boolean

Whether the transfer failed or not.

Example:

false

history
object[]
network_status
enum<string>

The network status of the transfer in the Synctera platform.

Available options:
PENDING,
POSTED,
RETURNED,
REVERSED
Example:

"POSTED"

original_reference_id
string

The original reference id of the transfer if it's a return.

Example:

123456788

originating_account_id
string

The UUID of the Synctera account that is the origination of the transfer. For a transfer originated by the Synctera platform, this will be an account resource, while for a transfer originated by the external account, this will be an external account resource.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

originating_account_number
string<string>

The account number of the originating account.

Example:

1961234745

originating_account_owner_name
string

The account owner name of the origination account.

posting_date
string<date>

The posting date of the transaction once it gets posted

Example:

"2022-03-18"

suspended
boolean

Whether the transfer is suspended or not.

Example:

false

transaction_id
string<uuid>

The related transaction id of the transfer.

Example:

"45b5246f-ad97-4629-9aac-465b74a05505"